Eclipse Platform Release 3.7

## org.eclipse.debug.core
Interface ILaunchesListener2

All Superinterfaces:
  ILaunchesListener

    public interface ILaunchesListener2

extends ILaunchesListener

Enhancements to the launches listener interface. Provides notification when one or more launches terminate.

Clients implementing launches listener may implement this interface.

Since:
  3.0

Method Summary
`void` `launchesTerminated(ILaunch[] launches)` Notification that the given launches have terminated.

Methods inherited from interface org.eclipse.debug.core.ILaunchesListener
`launchesAdded, launchesChanged, launchesRemoved`

Method Detail

### launchesTerminated

    void launchesTerminated(ILaunch[] launches)

  Notification that the given launches have terminated.

  Parameters:
    `launches` - the launches that have terminated

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.